/*
 *
 * Copyright(C) OASIS(R) 2009, 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */

/**
 * C component implementation with
 * 1 service with interface Service1
 * 1 reference (1..n) with interface Service1
 * all configured wires get called when service1 operation1 is invoked
 * @author Bryan Aupperle
 *
 */


#include "Service1.h"
#include "SCA.h"

/* @Property */
char serviceName[50];

// Required = true + multiple = true -> multiplicity 1..n
/* @Reference(name="reference1", interfaceHeader="Service1.h", required="true", multiple="true") */

char *operation1(const char *input) {
	SCAREF serviceTokens[10], pServiceTokens = serviceTokens;
	int num_targets, compCode, reason, size = 50, num_values = 1, i;
	char *pServiceName = serviceName, response[255] = "", response1[25], *result;

	SCAPropertyCString(L"serviceName", &pServiceName, &size, &num_values, &compCode, &reason);
	
	result = (char *)malloc(255);  /* infrastructure must free this */

	SCAGetReferences(L"reference1", pServiceTokens, &num_targets, &compCode, &reason);
	for (i = 0; i < num_targets; i++) {
		size = 25;
		SCAInvoke(serviceTokens[i], L"operation1", strlen(input), (void *)input,
	              &size, (void *)response1, &compCode, &reason);
		strcat(response, response1);
	}
	
	strcpy(result, serviceName);
	strcat(result, " operation1 invoked ");
	strcat(result, response);
	return result;
};
