/*
 * Copyright(C) OASIS(R) 2009, 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client;


  

import testClient.TestInvocation;

/**
 * Client for ASM_6016_TestCase, which tests that a <component/> <reference/> 
 * with @autowire=true and with some intents attached using its @requires 
 * attribute is not wired to a compatible <component/> <service/> in the same 
 * <composite/>, where that <service/> has different intents attached using 
 * its @requires attribute
 */
public class ASM_6016_TestCase extends BaseJAXWSTestRunner {

 
    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		= "ASM_6016";
    	config.input 			= "request";
    	config.output[0] 			= "exception";
    	config.composite 		= "Test_ASM_6016.composite";
    	config.testServiceName 	= "TestClient";
  
    	config.contributionNames	= new String[] { "ASM_6016", "General", "General" + _Lang };
    	config.serviceInterface = TestInvocation.class;
    	return config;
    }
    
} // end class Test_ASM_6016
