/*
 * Copyright(C) OASIS(R) 2009, 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client;


  

import testClient.TestInvocation;

/**
 * Client for ASM_6026_TestCase, which tests that when a @promote attribute of a 
 * <composite/> <reference/> has a URI for a <component/> <reference/> that is 
 * present in a <composite> which is referenced through an <include/> element in 
 * the first <composite/> then the promotion succeeds and the <component/> is 
 * able to invoke the reference  
 */
public class ASM_6026_TestCase extends BaseJAXWSTestRunner {

 
    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		= this.getClass().getSimpleName().substring(0, 8);
    	config.input 			= "request";
    	config.output[0] 			= "ASM_6026 request service1 operation1 invoked service2 operation1 invoked";
    	config.composite 		= "Test_" + config.testName + ".composite";
    	config.testServiceName 	= "TestClient";
  
    	config.contributionNames	= new String[] { "General", "General" + _Lang };
    	config.serviceInterface = TestInvocation.class;
    	return config;
    }
    
} // end class Test_ASM_6026
