/*
 * Copyright(C) OASIS(R) 2009, 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client;

import testClient.TestInvocation;

/**
 * Tests that when a component<reference/> element has a @target attribute containing a single target 
 * in the form "component-name/service-name" and the reference has a policy requirement attached, 
 * and the component with the name "component-name" has a service with the name "service-name" with 
 * multiple bindings one of which has the same policy requirement as the  reference, that the reference 
 * is wired to the service using that binding and is able to invoke it 
 */
public class ASM_6040_TestCase extends BaseJAXWSTestRunner {

 
    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		= this.getClass().getSimpleName().substring(0, 8);
    	config.input 			= "request";
    	config.output[0] 		= "ASM_6040 request service1 operation1 invoked";
    	config.composite 		= "Test_" + config.testName + ".composite";
    	config.testServiceName 	= "TestClient";
  
    	config.contributionNames	= new String[] { "General", "General" + _Lang };
    	config.serviceInterface = TestInvocation.class;
    	return config;
    }
    
} // end class Test_ASM_6040
